UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003357unrealircdpublic2007-05-22 05:152012-08-17 13:37
Reporterstskeeps 
Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSAllOS VersionAll
Product Version3.2.6 
Target VersionFixed in Version3.2.8 
Summary0003357: Exiting ssl client [@88.68.55.179.1025]: SSL_write(): OpenSSL functions requested a read()
DescriptionWhy do we exit people based on this? It should just ignore it and let the ircd_SSL_read go ahead in next I/O loop iteration?
TagsNo tags attached.
3rd party modules
Attached Files

- Relationships

-  Notes
(0016165)
syzop (administrator)
2010-07-14 17:08
edited on: 2010-07-14 17:09

This is probably fixed in http://cvsweb.unrealircd.com/cgi-bin/cvsweb/unreal/src/Attic/ssl.c.diff?r1=1.1.2.57.2.10;r2=1.1.2.57.2.11 [^]
[= CVS between 3.2.8.1 and 3.2.9]
Question is, how do we check this ;)

(0017081)
syzop (administrator)
2012-08-17 13:37

Likely already fixed.

Also, I fixed another instance a year ago.. but I forgot where.. and not sure if it was ever being triggered for real.

If anyone sees this error again in real life, please re-report.

- Issue History
Date Modified Username Field Change
2007-05-22 05:15 stskeeps New Issue
2007-05-22 05:18 stskeeps Status new => acknowledged
2007-05-22 05:18 stskeeps Relationship added child of 0003049
2010-07-14 17:08 syzop Note Added: 0016165
2010-07-14 17:09 syzop Note Edited: 0016165
2012-08-17 13:37 syzop Note Added: 0017081
2012-08-17 13:37 syzop Status acknowledged => resolved
2012-08-17 13:37 syzop Fixed in Version => 3.2.8
2012-08-17 13:37 syzop Resolution open => fixed
2012-08-17 13:37 syzop Assigned To => syzop


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker